
#include "Image.h"
#include "stdlib.h"

Image::Image()
{
	for(int i=0 ; i<1024 ; i++)
	{
		image1[i] = 0;
		image2[i] = 0;
		imageSwap1[i] = 0;
		imageSwap2[i] = 0;
	}
	for(int i=0 ; i<WIDTH ; i++)
	{
		for(int j=0 ; j<HEIGHT ; j++)
			isOk[i][j] = true;
	}
}

void Image::load(char* img1, char* img2)
{
	for(int i=0 ; i<1024 ; i++)
	{
		image1[i] = imageSwap1[i] = img1[i];
		image2[i] = imageSwap2[i] = img2[i];
	}
	for(int i=0 ; i<WIDTH ; i++)
	{
		for(int j=0 ; j<HEIGHT ; j++)
			isOk[i][j] = true;
	}
}

void Image::swap()
{
	char t11[SIZE_CASE], t12[SIZE_CASE], t21[SIZE_CASE], t22[SIZE_CASE];
	int x, y;
	for(int i=0 ; i<WIDTH ; i++)
	{
		for(int j=0 ; j<HEIGHT ; j++)
		{
			x = rand()%WIDTH;
			y = rand()%HEIGHT;
			getCase(i, j, t11, t12);
			getCase(x, y, t21, t22);
			setCase(x, y, t11, t12);
			setCase(i, j, t21, t22);
		}
	}
	for(int i=0 ; i<WIDTH ; i++)
	{
		for(int j=0 ; j<HEIGHT ; j++)
			verifyCase(i, j);
	}
}

void Image::swap(int x1, int y1, int x2, int y2)
{
	char t11[SIZE_CASE], t12[SIZE_CASE], t21[SIZE_CASE], t22[SIZE_CASE];
	getCase(x1, y1, t11, t12);
	getCase(x2, y2, t21, t22);
	setCase(x2, y2, t11, t12);
	setCase(x1, y1, t21, t22);
	verifyCase(x1, y1);
	verifyCase(x2, y2);
}

void Image::getCase(int x, int y, char* tab1, char* tab2)
{
	int n = y*SIZE*16+x*SIZE/8;
	for(int i=0 ; i<SIZE ; i++)
	{
		for(int j=0 ; j<SIZE/8 ; j++)
		{
			tab1[(SIZE/8)*i+j] = imageSwap1[n+i*16+j];
			tab2[(SIZE/8)*i+j] = imageSwap2[n+i*16+j];
		}
	}
}

void Image::getCaseOrigin(int x, int y, char* tab1, char* tab2)
{
	int n = y*SIZE*16+x*SIZE/8;
	for(int i=0 ; i<SIZE ; i++)
	{
		for(int j=0 ; j<SIZE/8 ; j++)
		{
			tab1[(SIZE/8)*i+j] = image1[n+i*16+j];
			tab2[(SIZE/8)*i+j] = image2[n+i*16+j];
		}
	}
}

void Image::setCase(int x, int y, char* tab1, char* tab2)
{
	int n = y*SIZE*16+x*SIZE/8;
	for(int i=0 ; i<SIZE ; i++)
	{
		for(int j=0 ; j<SIZE/8 ; j++)
		{
			imageSwap1[n+i*16+j] = tab1[(SIZE/8)*i+j];
			imageSwap2[n+i*16+j] = tab2[(SIZE/8)*i+j];
		}
	}
}

bool Image::verifyCase(int x, int y)
{
	bool b = true;
	char t11[SIZE_CASE], t12[SIZE_CASE], t21[SIZE_CASE], t22[SIZE_CASE];
	getCase(x, y, t11, t12);
	getCaseOrigin(x, y, t21, t22);
	for(int i=0 ; i<SIZE_CASE && b ; i++)
	{
		if(t11[i]!=t21[i] || t12[i]!=t22[i])
			b = false;
	}
	isOk[x][y] = b;
	return b;
}

bool Image::terminated()
{
	for(int i=0 ; i<WIDTH ; i++)
	{
		for(int j=0 ; j<HEIGHT ; j++)
		{
			if(!isOk[i][j])
				return false;
		}
	}
	return true;
}
