extern "C" {
	#include <fxlib.h>
	#include <revolution.h>
}
#include <stdlib.h>
#include "Image.h"

char *buffer1, *buffer2, *bufferVRAM1, *bufferVRAM2;

void clearDD()
{
	for(int i=0 ; i<1024 ; i++)
		buffer1[i] = buffer2[i] = 0;
}

void clearVRAM()
{
	for(int i=0 ; i<1024 ; i++)
		bufferVRAM1[i] = bufferVRAM2[i] = 0;
}

void SwapBuffers()
{
	char* temp;
	temp = buffer1;
	buffer1 = bufferVRAM1;
	bufferVRAM1 = temp;

	temp = buffer2;
	buffer2 = bufferVRAM2;
	bufferVRAM2 = temp;

	GrayLinkBuffers((unsigned long*)buffer1, (unsigned long*)buffer2);
}

void ReverseArea(int x, int y)
{
	int n = y*SIZE*16+x*SIZE/8;
	for(int i=0 ; i<SIZE ; i++)
	{
		for(int j=0 ; j<SIZE/8 ; j++)
		{
			bufferVRAM1[n+i*16+j] = ~bufferVRAM1[n+i*16+j];
			bufferVRAM2[n+i*16+j] = ~bufferVRAM2[n+i*16+j];
		}
	}
}

void SL_DrawSprite16(unsigned short *sprite1, unsigned short *sprite2, unsigned short *cache, char *buffer1, char *buffer2, int x, int y)
{
    unsigned int ligne;
    char i, decalage, debut = 0, fin = 16, *ecran, *adresseLigne = (char*)&ligne + 1;

    if(x < -16 || x > 127) return;
    decalage = 8 - x%8;
    x /= 8;

    //if sprite is on limits of screen
    if(y < 0) debut = -y;
    if(y > 48) fin -= y-48;

    //cache for white color
    if(cache)
    {
        ecran = (char*)(buffer1 + 16*(y+debut) + x);
        for(i=debut ; i<fin ; i++)
        {
            ligne = ~(cache[i] << decalage);
            ecran[0] &= adresseLigne[0];
            ecran[1] &= adresseLigne[1];
            ecran[2] &= adresseLigne[2];
            ecran += 16;
        }
    }

    ecran = (char*)(buffer1 + 16*(y+debut) + x);
    for(i=debut ; i<fin ; i++)
    {
        ligne = sprite1[i] << decalage;
        ecran[0] |= adresseLigne[0];
        ecran[1] |= adresseLigne[1];
        ecran[2] |= adresseLigne[2];
        ecran += 16;
    }

    //buffer2 for grayscales
    if(buffer2)
    {
        if(cache)
        {
            ecran = (char*)(buffer2 + 16*(y+debut) + x);
            for(i=debut ; i<fin ; i++)
            {
                ligne =  ~(cache[i] << decalage);
                ecran[0] &= adresseLigne[0];
                ecran[1] &= adresseLigne[1];
                ecran[2] &= adresseLigne[2];
                ecran += 16;
            }
        }
        if(!sprite2) sprite2 = sprite1;
        ecran = (char*)(buffer2 + 16*(y+debut) + x);
        for(i=debut ; i<fin ; i++)
        {
            ligne = sprite2[i] << decalage;
            ecran[0] |= adresseLigne[0];
            ecran[1] |= adresseLigne[1];
            ecran[2] |= adresseLigne[2];
            ecran += 16;
        }
    }
}

Image LoadImage(int n)
{
	Image img;
	if(n==0) //final fantasy
	{
		unsigned long buffer1[] = {0xFFFFFFFF,0xFFFFFFFF,0xFFFFFF00,0x30007000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFC0,0x00006000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF8,0x00000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x00000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xC0000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xC0000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x00000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFC,0x00000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF8,0x00000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF1,0x80406000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFCE,0x0000F000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFF80,0x0000F800,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFF00,0x0000FC00,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFE00,0x0000FE00,0xFFFFFFFF,0xFFFFFFFF,0xFFFFF800,0x0000FF00,0xFFFFFFFF,0xFFFFFFFF,0xFFFFE007,0x0080C000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFE3EE,0x01800000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFDC,0x01800000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFB8,0x03800000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFF70,0x03800000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFEE0,0x17800000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFC80,0x37000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFC00,0x7F000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFA00,0xEE000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFF801,0xFE000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFF803,0xFC0001FE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFF807,0xFC0007FE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFF00F,0xFC001FFC,0xFFFFFFFF,0xFFFFFFFF,0xFFFFF00F,0xFE0007FC,0xFFFFFFFF,0xFFFFFFFF,0xFFFFE03F,0xFFF001F8,0xFFFFFFFF,0xFFFFFFFF,0xFFFFE0FF,0xFFFC0000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFECFF,0xFFFC0000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFDFF,0xFFFC0000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFF00000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFF800000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFE000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF3,0xFC000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF3,0xF8000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF1,0xF0000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF1,0xF0000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF1,0xF0001800,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF0,0xF0038800,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF0,0xF803E000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF8,0xF8018000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF8,0x7C000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF8,0x3C000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFB,0x3E007F00,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFB,0x3F00FFF0,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFB,0x9F81FF80,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x9FC7FC00,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x8FFFFC00,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xDFF9FE00,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFC00,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFC000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFF0000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFF0000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFF8000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFDFF8002,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFC00E,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFEFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0x00000000,0x00000000,0x00000000,0x00000000};
		unsigned long buffer2[] = {0xFFFFFFFF,0xFFFFFFFF,0xFFFFFF00,0x30007000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFC0,0x00006000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF8,0x00000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x00000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xC0000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xC0000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x00000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFC,0x00000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF8,0x00000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF1,0x80406000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFCE,0x0000F000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFF80,0x0000F800,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFF00,0x0000FC00,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFE00,0x0000FE00,0xFFFFFFFF,0xFFFFFFFF,0xFFFFF800,0x0000FF00,0xFFFFFFFF,0xFFFFFFFF,0xFFFFE007,0x0080C000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFE3EE,0x01800000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFDC,0x01800000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFB8,0x03800000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFF70,0x03800000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFEE0,0x17800000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFC80,0x37000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFC00,0x7F000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFA00,0xEE000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFF801,0xFE000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFF803,0xFC0001FE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFF807,0xFC0007FE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFF00F,0xFC001FFC,0xFFFFFFFF,0xFFFFFFFF,0xFFFFF00F,0xFE0007FC,0xFFFFFFFF,0xFFFFFFFF,0xFFFFE03F,0xFFF001F8,0xFFFFFFFF,0xFFFFFFFF,0xFFFFE0FF,0xFFFC0000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFECFF,0xFFFC0000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFDFF,0xFFFC0000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFF00000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFF800000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFE000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF3,0xFC000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF3,0xF8000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF1,0xF0000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF1,0xF0000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF1,0xF0001800,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF0,0xF0038800,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF0,0xF803E000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF8,0xF8018000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF8,0x7C000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF8,0x3C000000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFB,0x3E007F00,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFB,0x3F00FFF0,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFB,0x9F81FF80,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x9FC7FC00,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x8FFFFC00,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xDFF9FE00,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFC00,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFC000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFF0000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFF0000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFF8000,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFDFF8002,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFC00E,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFEFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0x00000000,0x00000000,0x00000000,0x00000000};
		img.load((char*)buffer1, (char*)buffer2);
	}
	else if(n==1) //dtective
	{
		unsigned long buffer1[] = {0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFC000,0x0FFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x080FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x080FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x080FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x080FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFF80,0x080FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFCFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFC3FFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xF8703FFF,0x8FFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xF80007FF,0x87FFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xF80007FF,0x87FFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xF80003FE,0x00FFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xF8000000,0x0043FFFF,0xFFFFFFFE,0xFFFFFFFF,0xF8600000,0x0043FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFF600002,0x0043FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFF600002,0x0043FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00001,0xFF83FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x0003FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x0003FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x0003FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x0003FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x0003FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x0003FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFF0000F,0xFF0FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFC0000,0x000FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFF0000,0x000FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFF0000,0x000FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFF8000,0x003FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFC000,0x003FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFB800,0x107FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFC600,0x60BFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFC600,0x60BFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFF9FF,0xFF3FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFC1F,0xF87FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFE1F,0xF87FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFE1F,0xF87FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFE1F,0xF87FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFE1F,0xF87FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFF8F,0xF0FFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFEF,0xF7FFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0x00000000,0x00000000,0x00000000,0x00000000};
		unsigned long buffer2[] = {0xFFFFFFFF,0xFFFF8000,0x1FFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFC0000,0x10FFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFC0000,0x10FFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x107FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x103FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x083FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x083FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x083FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x083FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE03FFF,0xF83FFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFC,0x0000007F,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFC,0x00000000,0x0001FFFF,0xFFFFFFFE,0xFFFFFFFC,0x00000000,0x0001FFFF,0xFFFFFFFE,0xFFFFFFFF,0xE0000000,0x000003FF,0xFFFFFFFE,0xFFFFFFFF,0xFF800000,0x0000000F,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFCFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFC3FFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xF8703FFF,0x8FFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xF80007FF,0x87FFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xF80007FF,0x87FFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xF80003FE,0x00FFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xF8000000,0x0043FFFF,0xFFFFFFFE,0xFFFFFFFF,0xF8600000,0x0043FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFF600002,0x0043FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFF600002,0x0043FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00001,0xFF83FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x0003FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x0003FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x0003FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x0003FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x0003FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFE00000,0x0003FFFF,0xFFFFFFFE,0xFFFFFFFF,0xFF10000F,0xFF0DFFFF,0xFFFFFFFE,0xFFFFFFFF,0xF80C0000,0x000C7FFF,0xFFFFFFFE,0xFFFFFFFF,0xE0030000,0x000C07FF,0xFFFFFFFE,0xFFFFFFFF,0xE0030000,0x000C07FF,0xFFFFFFFE,0xFFFFFFFF,0x80038000,0x003001FF,0xFFFFFFFE,0xFFFFFFFC,0x0000C000,0x0030007F,0xFFFFFFFE,0xFFFFFFF0,0x0000B800,0x1070000F,0xFFFFFFFE,0xFFFFFFCE,0x00004600,0x60B00003,0xFFFFFFFE,0xFFFFFFCE,0x00004600,0x60B00003,0xFFFFFFFE,0xFFFFFE01,0xE00039FF,0xFF30000C,0xFFFFFFFE,0xFFFFFC00,0x1800041F,0xF8400070,0x1FFFFFFE,0xFFFFFC00,0x0700021F,0xF8400180,0x1FFFFFFE,0xFFFFFC00,0x0800021F,0xF8400200,0x1FFFFFFE,0xFFFFFC00,0x0800021F,0xF8400200,0x1FFFFFFE,0xFFFFFC00,0x0800021F,0xF8400200,0x1FFFFFFE,0xFFFFFC00,0x1000018F,0xF0800180,0x1FFFFFFE,0xFFFFFC00,0x6000006F,0xF7000060,0x1FFFFFFE,0xFFFFFC01,0x8000007F,0xFF000010,0x1FFFFFFE,0xFFFFFC00,0x6000001F,0xFF00000C,0x1FFFFFFE,0xFFFFFC00,0x6000001F,0xFF00000C,0x1FFFFFFE,0xFFFFFC00,0x1000001F,0xF8000010,0x1FFFFFFE,0x00000000,0x00000000,0x00000000,0x00000000};
		img.load((char*)buffer1, (char*)buffer2);
	}
	else if(n==2) //bart
	{
		unsigned long buffer1[] = {0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00C00000,0x00000000,0x00000000,0x0000000F,0xF3300000,0x00000000,0x00000000,0x00000010,0x0FD80000,0x00000000,0x00000000,0x1C000020,0x02080000,0x00000000,0x00000000,0x32000040,0x00180000,0x00000000,0x00000000,0xC10000C0,0x00761C00,0x01FE0000,0x00000003,0x01000080,0x0383FE00,0x0E010000,0x0000007F,0x80800100,0x0603FF00,0x30FF0000,0x00000183,0x40800100,0x7801FF00,0xCFFF0000,0x00000304,0x20400170,0xF001FF81,0x3FFFE000,0x00000E04,0x207003FD,0xC001FF82,0xFFFFF000,0x00001406,0x00500403,0x8000FFC3,0xFFFFE800,0x0000340A,0x00300407,0x0000FFC1,0xDFFFE800,0x0000C40A,0x0020087E,0x0000FFE1,0xDFFFE800,0x00038603,0x002809E0,0x0000FFEF,0xFFFFE800,0x0006020F,0x80284F00,0x0000FFE0,0xFFFFE000,0x00180230,0x602CAC00,0x00007FE0,0xC3FFC000,0x00600160,0x10053C00,0x00007FE0,0xBCFFD000,0x018000C0,0x1016C600,0x00007FF0,0xC2FFD000,0x07000080,0x0817C200,0x00007FF8,0x41FF8000,0x18000080,0x0817E200,0x00007FF8,0x417FA000,0x08000080,0x0817A300,0x00007FFF,0xC17FA000,0x06000080,0x08132100,0x00007FF9,0x81674000,0x040000C0,0x880FE100,0x00003FFF,0x01FE4000,0x08000040,0xC80FA100,0x07803FF8,0x017E8000,0x0E000040,0x080BA100,0x0CC03FF8,0x020F0000,0x03000020,0x1007C100,0x10C07FF8,0x02000000,0x06000018,0x6007C3C0,0x23E07FF8,0x04000000,0x04000007,0x800007F8,0x40207FF0,0x08000000,0x01800000,0x00000C0E,0xC0A07FF0,0x3003C000,0x01000000,0x00081807,0x817FFFF1,0xC007F000,0x03000000,0x014FF01F,0x001FFFFF,0x000FF000,0x01C00000,0x016C1065,0x00FFFFFF,0xFF9FF800,0x00C00000,0x01A810C2,0x01FFFFFF,0xFFFFF800,0x00800000,0x02F01102,0x03FFFFFF,0xFFFFFC00,0x00F00000,0x0C001B02,0x03FFFFFF,0xFFFFFE00,0x00100000,0x30000A02,0x03FFFFFF,0xFFFFFF80,0x00200000,0xC0000E04,0x03FFFFFF,0xFFFFFFC0,0x00200001,0x00000604,0x03FFFFFF,0xFFFFFFE0,0x003C0006,0x00000704,0x07FFFFFF,0xFFFFFFE0,0x00080018,0x00000380,0x07FFFFFF,0xFFFFFFE0,0x00090020,0x00000080,0x0401FFFF,0xFFFFFFE0,0x000F00C0,0x00000040,0x0C00003F,0xFFFFFFE0,0x00020100,0x00000020,0x0FC00000,0x07FFFFE0,0x0002C600,0x00000010,0x1FFFF800,0x00000FE0,0x00034800,0x0000000C,0x3FFFFFFF,0xE00009E0,0x00005000,0x00000003,0xCFFFFFFF,0xFFFC00E0,0x00006000,0x00000000,0x07FFFFFF,0xFFFFFCE0,0x00000000,0x00000000,0x03FFFFFF,0xFFFFFFE0,0x00000000,0x00000000,0x03FFFFFF,0xFFFFFFC0,0x00000000,0x00000000,0x00FFFFFF,0xFFFFFFC0,0x00000000,0x00000000,0x001FFFFF,0xFFFFFFC0,0x00000000,0x00000000,0x00003FFF,0xFFFFFFC0,0x00000000,0x00000000,0x0000000F,0xFFFFFFC0,0x00000000,0x00000000,0x00000000,0x000FFFC0,0x00000000,0x00000000,0x00000000,0x00001FC0,0x00000000,0x00000000,0x00000000,0x000007C0,0x00000000,0x00000000,0x00000000,0x00000380,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000};
		unsigned long buffer2[] = {0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00C00000,0x00000000,0x00000000,0x0000000F,0xF3F00000,0x00000000,0x00000000,0x00000010,0x0FD80000,0x00000000,0x00000000,0x1C000020,0x02080000,0x00000000,0x00000000,0x32000040,0x00180000,0x00000000,0x00000000,0xC10000C0,0x007E1C00,0x01FE0000,0x00000003,0x01000080,0x03FFFE00,0x0E010000,0x0000007F,0x80800100,0x07FFFF00,0x30FF0000,0x00000183,0x40800100,0x7FFFFF00,0xCFFF0000,0x00000304,0x20400170,0xFFFFFF81,0x3FFFE000,0x00000E04,0x207003FD,0xFFFFFF82,0xFFFFF000,0x00001406,0x005007FF,0xFFFFFFC3,0xFFFFE800,0x0000340A,0x003007FF,0xFFFFFFC1,0xDFFFE800,0x0000C40A,0x00200FFF,0xFFFFFFE1,0xDFFFE800,0x00038603,0x00280FFF,0xFFFFFFFF,0xFFFFE800,0x0006020F,0x80284FFF,0xFFFFFFFF,0xFFFFE000,0x00180230,0x602CEFFF,0xFFFFFFFF,0xC3FFC000,0x00600160,0x1007FFFF,0xFFFFFFFF,0xBCFFD000,0x018000C0,0x1017C7FF,0xFFFFFFFF,0xFEFFD000,0x07000080,0x0817C3FF,0xFFFFFFFF,0xFFFF8000,0x18000080,0x0817E3FF,0xFFFFFFFF,0xFF7FA000,0x08000080,0x0817E3FF,0xFFFFFFFF,0xFF7FA000,0x06000080,0x0813E1FF,0xFFFFFFF9,0xFF674000,0x040000C0,0x880FE1FF,0xFFFFFFFF,0xFFFE4000,0x08000040,0xC80FE1FF,0xFFFFFFFF,0xFF7E8000,0x0E000040,0x080BE1FF,0xFCFFFFFF,0xFE0F0000,0x03000020,0x1007C1FF,0xF0FFFFFF,0xFE000000,0x06000018,0x6007C3FF,0xE3FFFFFF,0xFC000000,0x04000007,0x800007FF,0xC03FFFFF,0xF8000000,0x01800000,0x00000FFF,0xC0BFFFFF,0xF003C000,0x01000000,0x00081FFF,0x817FFFFF,0xC007F000,0x03000000,0x014FFFFF,0x001FFFFF,0x000FF000,0x03C00000,0x016C1FE7,0x00FFFFFF,0xFF9FF800,0x00C00000,0x01E81FC2,0x01FFFFFF,0xFFFFF800,0x00800000,0x02F01F02,0x03FFFFFF,0xFFFFFC00,0x00F00000,0x0C001F02,0x03FFFFFF,0xFFFFFE00,0x00100000,0x30000E02,0x03FFFFFF,0xFFFFFF80,0x00200000,0xC0000E04,0x03FFFFFF,0xFFFFFFC0,0x00200001,0x00000604,0x03FFFFFF,0xFFFFFFE0,0x003C0006,0x00000704,0x07FFFFFF,0xFFFFFFE0,0x00080018,0x00000380,0x07FFFFFF,0xFFFFFFE0,0x00090020,0x00000080,0x0401FFFF,0xFFFFFFE0,0x000F00C0,0x00000040,0x0C00003F,0xFFFFFFE0,0x00020100,0x00000020,0x0FC00000,0x07FFFFE0,0x0002C600,0x00000010,0x1FFFF800,0x00000FE0,0x00034800,0x0000000C,0x3FFFFFFF,0xE00009E0,0x00005000,0x00000003,0xCFFFFFFF,0xFFFC00E0,0x00006000,0x00000000,0x07FFFFFF,0xFFFFFCE0,0x00000000,0x00000000,0x03FFFFFF,0xFFFFFFE0,0x00000000,0x00000000,0x03FFFFFF,0xFFFFFFC0,0x00000000,0x00000000,0x00FFFFFF,0xFFFFFFC0,0x00000000,0x00000000,0x003FFFFF,0xFFFFFFC0,0x00000000,0x00000000,0x00003FFF,0xFFFFFFC0,0x00000000,0x00000000,0x0000000F,0xFFFFFFC0,0x00000000,0x00000000,0x00000000,0x000FFFC0,0x00000000,0x00000000,0x00000000,0x00001FC0,0x00000000,0x00000000,0x00000000,0x000007C0,0x00000000,0x00000000,0x00000000,0x00000380,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000};
		img.load((char*)buffer1, (char*)buffer2);
	}
	else if(n==3) //Jennifer Aniston
	{
		unsigned long buffer1[] = {0x1CAF83F0,0x01FFFFFF,0xFFFFFF00,0x0A0000E0,0x71C00D85,0x0FFFDFFF,0xDFFFFFC0,0x00040508,0xE3900218,0x3FFFFFC0,0xBFFFFFF0,0x0E0000E0,0xCD000861,0xFFFFFC1F,0xBFFFF7F0,0x01C0003C,0x1000038F,0xBFFC80FF,0xBFFFFDFE,0x0438020E,0x40002E78,0xFC4003FE,0x07FFFE7F,0xA3E60010,0x0100F3C7,0xC0060FC0,0x0031FF9F,0xE8FCDF02,0x22038C78,0x001B3C00,0x0002EFC7,0xFE7FBFFA,0x0C1E6100,0x002CA004,0x000017E3,0xFD0FEDFE,0x30198000,0x0030401B,0xEBE021F1,0xFE7FFB7E,0x4AEC0000,0x00C80077,0xFFF80078,0x7FFFFEBE,0xD5B00000,0x077D83DF,0xFFF00098,0x7FFFCFAE,0x16C00000,0xF3F80B7F,0xFFF1E040,0x3FFFF3E6,0x1900006F,0x93F00000,0x0FF9F820,0x1FFFFCF8,0x26000FF8,0x0003F000,0x00F9FFF8,0x5FFFFF7C,0x1400F803,0xF5FFEFE7,0xFE01FFFE,0x2FFFFF9E,0x6100001F,0xFFFFF3AF,0xFFE0FFFF,0x17FFFFFE,0xF00020FF,0xFFFF06FF,0x9FA03FFF,0x87FFFFFE,0xE6148FFF,0xFFE02FFF,0x1FA41FFF,0x9BFFFFFE,0xDE207FFF,0xFF00FFFF,0x5F2507CF,0xD3FFFFFE,0xBF01FFD7,0xF803FFFE,0x5FA5C38F,0xCDFFFFFE,0x7E07FCFF,0xE01FFD2F,0x9FE5C3CF,0xC9FFFFFE,0xFE1FEBFF,0x007FFA47,0x9FE6C1AF,0xCCFFFFFE,0xFF3F9FF8,0x03FFF50F,0x87E4E1FF,0x8EFFFFFE,0xFE5E7FC0,0x007FFFC7,0x03E6E1FF,0xCFFFFFFE,0xFC30FF00,0x011FFFFF,0x03E4C1FF,0xCFFFFFFE,0xF801F800,0x00003FFE,0x23EFC0FF,0xCFFFFFFE,0xF621E003,0x00000FFC,0x63ECC1FF,0xCFFFFFFE,0xFDC38015,0x00000000,0x71CC80FF,0x8FFFFFFE,0xFFC4800F,0xC0780000,0xF0CC007F,0x8FFFFFFE,0xFF82007F,0x81E00000,0x50CC007F,0x0FFFFFFE,0xFF8400FF,0x83E00000,0x214C007E,0x0FFFBFFE,0xFF9C017F,0xDBC1F000,0x22CE007C,0x1FFF3FFE,0xFF7A00FF,0x9FBAFF00,0x054C003E,0x1FFF7FFE,0xFFF401FF,0xB763FEFF,0xBE8E0078,0x3FFF7FFE,0xFFF0057F,0x3FFBFFFF,0xFF0C0040,0x3FFE7FFE,0xFFE001FF,0x77AFFFFF,0xFF8C0020,0x7FFE7FFE,0xFFC004FF,0x67CFFFFF,0xFFC88000,0xFFDEFBFE,0xFF8001BF,0x6791FFFF,0xFF818001,0xFFFCFBFE,0xFFC0007E,0xC7F9FFFF,0xFFC70003,0xFFF9F3FE,0xFFC0011E,0xC3F9FFFF,0xFFFB0007,0xFFF9F3FE,0xFFE00026,0xC3F8FFFF,0xFFC0001F,0xFFD3FFFC,0xFDE0004C,0x93F17FFF,0xFF80003F,0xFF37EFF0,0xF8F00002,0x93E87FFF,0xFAC0007F,0xFE6FE7EC,0xFCFC0000,0x93C47FFF,0xF80000FF,0xFDCFDFDA,0xFCFF0004,0x93FC7FFF,0xF80001FF,0xF88FCF3C,0xFE7FC000,0x81FC7FFF,0xC00003FF,0xF16FEE78,0xFE7FA800,0x41FCFFFE,0x80000FFF,0xE6FF99F0,0xFF3FFA00,0x41F8FFFA,0x00000FFF,0xCDDFC3E6,0xFFBFFF80,0x41F1FFE0,0x00003FF7,0x03BFCFD8,0xFFDFFFE0,0x20E1FF00,0x0150FFEE,0x0FFB9F32,0xFFEFFFF0,0x7341F000,0x1E87FFDC,0x1FE1FE60,0xFFF7FFFD,0x1AA24000,0xCB57FFB8,0x3E83F8E2,0xFFFFFFFF,0xFFE1000B,0xFFBFFF70,0x7947F386,0xFFFFFFFF,0xFFC0007F,0xFF5FFCE1,0xF78FFF9E,0x7FFFFFFF,0xFFF003FF,0xFFFFFBE3,0xDF1FF7F0,0x3FFFFFFF,0xFFFF5FFF,0xFFFFE787,0xBC3DCDE0,0x9FFFFFFF,0xFFFFFFFF,0xFFFF9F0E,0x70773780,0xFFFFFFFF,0xFFFFFFFF,0xFFFF7C38,0xC0FCDE06,0xF7FFFFFF,0xFFFFFFFF,0xFFF7F0E1,0xB1E1B8BE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFC397,0xC79EE27E,0xFFFFFFFF,0xFFFFFFFF,0xFFFF00EF,0x3FBBDFF8,0xFFFFFFFF,0xFFFFFFFF,0xFFF80199,0xFEEFFF80,0x00000000,0x00000000,0x00000000,0x00000000};
		unsigned long buffer2[] = {0xE3507C0F,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFF1E,0x8E3FF27A,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF6,0x1C6FFDE7,0xFFFFFFFF,0xFFFFFFFF,0xF1FFFFFE,0x32FFF79F,0xFFFFFFFF,0xFFFFFFFF,0xFE3FFFFE,0xEFFFFC7F,0xFFFFFFFF,0xFFFFFFFF,0xFFC7FDFE,0xBFFFD1FF,0xFFFFFFFF,0xFFFFFFFF,0xDFF9FFFE,0xFFFF0FFF,0xFFFFFFFF,0xFFFFFFFF,0xF7FF3FFE,0xDFFC7FFF,0xFFFCFFFF,0xFFFFFFFF,0xF9FFC7FE,0xFFE1FFFF,0xFFF3FFFB,0xFFFFFFFF,0xFEFFF3FE,0xFFE7FFFF,0xFFCFFFE4,0x141FFFFF,0xFFFFFCFE,0xF51FFFFF,0xFF3FFF88,0x0007FFFF,0xFFFFFF7E,0xEA7FFFFF,0xF8FFFC20,0x000FFF7F,0xFFFFFFDE,0xE9FFFFFF,0x0FFFF480,0x000E1FBF,0xFFFFFFFE,0xE7FFFF90,0x7FFFFFFF,0xF00607DF,0xFFFFFFFE,0xDFFFF007,0xFFFC0FFF,0xFF060007,0xBFFFFFFE,0xFFFF07FC,0x0A001018,0x01FE0001,0xDFFFFFFE,0xFFFFFFE0,0x00000C50,0x001F0000,0xEFFFFFFE,0xFFFFFF00,0x0000F900,0x601FC000,0x7FFFFFFE,0xFFEFF000,0x001FD000,0xE01FE000,0x77FFFFFE,0xFFDF8000,0x00FF0000,0xE01EF800,0x3FFFFFFE,0xFFFE0028,0x07FC0001,0xE01E3C00,0x3BFFFFFE,0xFFF80300,0x1FE00000,0x601E3C00,0x3FFFFFFE,0xFFE01400,0xFF800000,0x601F3E00,0x3FFFFFFE,0xFFC06007,0xFC000000,0x781F1E00,0x7FFFFFFE,0xFFA1803F,0xFF800000,0xFC1F1E00,0x3FFFFFFE,0xFFCF00FF,0xFEE00000,0xFC1F3E00,0x3FFFFFFE,0xFFFE07FF,0xFFFFC001,0xFC1E3F00,0x3FFFFFFE,0xFFFE1FFC,0xFFFFF003,0xFC1F3E00,0x3FFFFFFE,0xFFFC7FEA,0xFFFFFFFF,0xFE3F7F00,0x7FFFFFFE,0xFFFBFFF0,0x3FFFFFFF,0xFF3FFF80,0x7FFFFFFE,0xFFFFFF80,0x7FFFFFFF,0xFF3FFF80,0xFFFFFFFE,0xFFFFFF00,0x7FFFFFFF,0xFEBFFF81,0xFFFFFFFE,0xFFFFFE80,0x3FFE0FFF,0xFD3FFF83,0xFFFFFFFE,0xFFFFFF00,0x7FFD00FF,0xFABFFFC1,0xFFFFFFFE,0xFFFFFE00,0x7FFC0100,0x417FFF87,0xFFFFFFFE,0xFFFFFA80,0xFFC40000,0x00FFFFBF,0xFFFFFFFE,0xFFFFFE00,0xFFC00000,0x007FFFDF,0xFFFFFFFE,0xFFFFFB00,0xFFF00000,0x003F7FFF,0xFFFFFFFE,0xFFFFFE40,0xFFFE0000,0x007E7FFF,0xFFFFFFFE,0xFFFFFF81,0xFFBE0000,0x0038FFFF,0xFFFFFFFE,0xFFFFFEE1,0xFFFE0000,0x0004FFFF,0xFFFFFFFE,0xFFFFFFD9,0xFFFF0000,0x003FFFFF,0xFFFFF7FE,0xFFFFFFB3,0xEFFE8000,0x007FFFFF,0xFFFFF7FE,0xFFFFFFFD,0xEFF78000,0x053FFFFF,0xFFFFFFF2,0xFFFFFFFF,0xEFFF8000,0x07FFFFFF,0xFFFFEFE4,0xFFFFFFFB,0xEFFF8000,0x07FFFFFF,0xFFFFFFC2,0xFFFFFFFF,0xFFFF8000,0x3FFFFFFF,0xFF9FDF86,0xFFFFFFFF,0xFFFF0001,0x7FFFFFFF,0xFF1FFE0E,0xFFFFFFFF,0xFFFF0005,0xFFFFFFFF,0xFE3FBC18,0xFFFFFFFF,0xFFFE001F,0xFFFFFFFF,0xFC7F3026,0xFFFFFFFF,0xFFFE00FF,0xFFFFFFFF,0xF07E60CE,0xFFFFFFFF,0xFFFE0FFF,0xFFFFFFFF,0xE0FE019E,0xFFFFFFFF,0xFFFDBFFF,0xFFFFFFFF,0xC1FC071E,0xFFFFFFFF,0xFFFEFFFF,0xFFFFFFFF,0x87F80C7E,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0x0FF0007E,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFC,0x3FE000FE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF8,0x7FC203FE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFF1,0xFF880FFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFC7,0xFF003FFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFF1F,0xFE007FFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFC7F,0xF801FFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xC007FFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0x001FFFFE,0x00000000,0x00000000,0x00000000,0x00000000};
		img.load((char*)buffer1, (char*)buffer2);
	}
	else if(n==4) // Cameron Diaz
	{
		unsigned long buffer1[] = {0x00000C78,0x618CEFC1,0x8C000000,0x00003FFE,0x00000AF9,0x8C7F5DE1,0x84000000,0x0002FFFE,0x000019FB,0xC5CCBFC8,0xC2000000,0x0007FFFE,0x000071FB,0xD821AF90,0xC2000000,0x0017FFFE,0x0000C1FF,0xE0815A81,0xC1000000,0x009FFFFE,0x000181FF,0xF9F12FE1,0xC9000000,0x00FFFFFE,0x000303FF,0xE020BF40,0xFF000000,0x00FFFFFE,0x000603FF,0x8B825F80,0xFE800000,0x01FFFFFE,0x000DA7FF,0xC7852AC1,0xFF400000,0x04FFFFFE,0x001936FF,0xC1C45D0D,0xFFD00000,0x0E7FFFFE,0x00737DFF,0xFF9C9011,0xFFF70000,0x0F7FFFFE,0x002EEDFF,0xFFE10081,0xF73F9C00,0x1F7FFFFE,0x01456BFF,0xFFEA0A07,0xD87FFFEB,0xFFFFFFFE,0x0209B3FF,0xFFC46003,0x2FFFFFFF,0xFFFFFFFE,0x041357FF,0xFF88F810,0x1FFFFFFF,0xFFFFFFFE,0x000027F8,0x7FC1F230,0x3FFFFFFF,0xFFFFFFFE,0x08090C08,0x1FC34C3E,0x7FFFFFFF,0xFFFFFFFE,0x0800180D,0x8F613E39,0xFFFFFFFF,0xFFFFFFFE,0x0020101D,0xE77BFC67,0xFFFFFFFF,0xFFFFFFFE,0x00702099,0xC0FFF87F,0xFFFFFFFF,0xFFFFFFFE,0x0EF843BB,0xF07FFFFF,0xFFFFFFFF,0xFFFFFFFE,0x0FF8CAF5,0xF01FFFFF,0xFFFFFFFF,0xFFFFFFFE,0x2FFB9FFB,0xEC0FF9FF,0xFFFFFFFF,0xFFFFFFFE,0x2FBFBF9B,0x1407F03F,0xFFFFFFFF,0xFFFFFFFE,0x0EDF7FC1,0x8957F8EF,0xFFFFFFFF,0xFFF7FFFE,0x0FE67FE6,0xFC13FC7B,0xFFFFFFFF,0xFFFBFFFE,0x07FCFFEF,0xF593F8FE,0xFFFFFFFF,0xFFFBFFFE,0x03FE7FC7,0xFC9BF8FF,0x7FFFFFFF,0xFFFFFFFE,0x0338FF97,0x4897E0FF,0xBFFFFFFF,0xFFF9BFFE,0x10007FB7,0x8457E07F,0xFFFFFFFF,0xFFF8BFFE,0x18022B77,0xE817C1FF,0xFFFFFFFF,0xFFF9FFFE,0x10113777,0xC40783BF,0xEFFFFFFF,0xFFFDFFFE,0x00092A37,0x800F01FF,0xEFFFFFFF,0xFFFCFFFE,0x08118237,0x801E07EF,0xFFFFFFFF,0xFFFCFFFE,0x0025C033,0x087C07E7,0xF7FFFFFF,0xFFFCFFFE,0x04006006,0x38F01DEF,0xFFFFFFFF,0xFFFCFFFE,0x02103E8D,0xF3E01FEF,0xFFFFFFFF,0xFFFCFFFE,0x00098073,0xFFF02FEF,0xFFFFFFFF,0xFFFCFFFE,0x0080F81F,0xFFE05FCF,0xFFFFFFFF,0xFFFEFFFE,0x0040FFFF,0xFFC07FFF,0xFFFFFFFF,0xFFFEFFFE,0x0020FFFF,0xF960EFFF,0xFFFFFFFF,0xFFFEFFFE,0x00183FFF,0xFBF027FF,0xFFFFFFFF,0xFFFFFFFE,0x00047FFF,0xFFF85FFF,0xFFFFFFFF,0xFFFFFFFE,0x00027FFF,0xFFBDBFFF,0xFFFFFFFF,0xFFFFFFFE,0x00009EFF,0xFFF65BFF,0xF7FFFFFF,0xFFFFFFFE,0x000025FF,0xF1FBB7FF,0xF7FFFFFF,0xFFFFFFFE,0x00000C3F,0xCC05EFFF,0xFFFFFFFF,0xFFFFFF8E,0x000003FF,0xE00366FF,0xEFFFFFFF,0xFFFFEC00,0x00000000,0x0002B9FF,0xDFFFFFFF,0xFFFFC000,0x00000000,0x0002EE7F,0xBFFFFFFF,0xFFFE8000,0x00000000,0x0001FBE0,0xFFFFFFFF,0xFFFE0000,0x00000000,0x0001FFFF,0xFFFFFFFF,0xFFE80000,0x00000000,0x0001FF7F,0xFFFFFFFF,0xFFA00000,0x00000000,0x0001BFBF,0xFFFFFFFF,0xFE800000,0x00000000,0x0001FFEF,0xFFFFFFFF,0xFA000000,0x00000000,0x0000FFF7,0xFFFFFFFF,0xE8000000,0x00000000,0x0001FFFD,0xFFFFFFFF,0x40000000,0x00000000,0x0001BFE8,0xFFFFFFF3,0x00000000,0x00000000,0x00007F74,0x3FFFFFD0,0x00001000,0x00000000,0x0000BED0,0x3FFFFFE7,0xF8380000,0x00000000,0x00009D28,0x1007FFFF,0xFF600000,0x00000000,0x00008A00,0x00007FFF,0xFC000000,0x00000000,0x00004000,0x0000002F,0xF0000000,0x00000000,0x00000000,0x00000000,0x00000000};
		unsigned long buffer2[] = {0x000003FF,0x8073103F,0xF0000000,0x00007FFE,0x000005FE,0x0380221F,0xF8000000,0x0001FFFE,0x000007FC,0x3E304037,0xFC000000,0x0003FFFE,0x00000FFF,0xFFC0506F,0xFC000000,0x000FFFFE,0x00003FFF,0xFF00A57F,0xFE000000,0x007FFFFE,0x00007FFF,0xFE00D01F,0xFE000000,0x00FFFFFE,0x0000FFFF,0xFFC140BF,0xFE000000,0x00FFFFFE,0x0001FFFF,0xFC01A07F,0xFF000000,0x00FFFFFE,0x00025FFF,0xF802D53F,0xFF800000,0x03FFFFFE,0x0006CFFF,0xFE03A2FF,0xFFE00000,0x07FFFFFE,0x000C8FFF,0xFFE36FFF,0xFFF80000,0x1FFFFFFE,0x00511FFF,0xFFFEFFFF,0xFFFFE000,0x3FFFFFFE,0x00BA9FFF,0xFFF5F1FF,0xFFFFFFFF,0xFFFFFFFE,0x01F65FFF,0xFFFBF1FF,0xFFFFFFFF,0xFFFFFFFE,0x03ECBFFF,0xFFF7F1EF,0xFFFFFFFF,0xFFFFFFFE,0x07FFFFFF,0xFFFFF9CF,0xFFFFFFFF,0xFFFFFFFE,0x07F6FFFF,0xFFFFFBC1,0xFFFFFFFF,0xFFFFFFFE,0x07FFFFFE,0x7FFFFFC7,0xFFFFFFFF,0xFFFFFFFE,0x0FFFFFFE,0x1FFFFF9F,0xFFFFFFFF,0xFFFFFFFE,0x0FFFFF7E,0x3FFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0x07FFFC7C,0x0FFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0x07FFF53A,0x0FFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0x1FFFE03C,0x13FFFFFF,0xFFFFFFFF,0xFFFFFFFE,0x1FFFC07C,0xEBFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0x1FFF803E,0x7FEFFF1F,0xFFFFFFFF,0xFFFFFFFE,0x1FFF8019,0x0FEFFF87,0xFFFFFFFF,0xFFFFFFFE,0x1FFF0010,0x0F6FFF01,0xFFFFFFFF,0xFFFFFFFE,0x1FFF8038,0x0F67FF00,0xFFFFFFFF,0xFFFBFFFE,0x1FFF0078,0xBF6FFF00,0x7FFFFFFF,0xFFFF7FFE,0x0FFF8078,0x7BEFFF80,0x3FFFFFFF,0xFFFF7FFE,0x07FFD4F8,0x17EFFE00,0x1FFFFFFF,0xFFFFFFFE,0x0FEFC8F8,0x3BFFFC40,0x1FFFFFFF,0xFFFFFFFE,0x0FF7D5F8,0x7FFFFE00,0x1FFFFFFF,0xFFFFFFFE,0x07EFFDF8,0x7FFFF800,0x0FFFFFFF,0xFFFFFFFE,0x07DBFFFC,0xFFFFF800,0x0FFFFFFF,0xFFFFFFFE,0x03FFFFF9,0xFFFFE200,0x07FFFFFF,0xFFFFFFFE,0x01EFFFF3,0xFFFFE000,0x07FFFFFF,0xFFFFFFFE,0x01F7FF8F,0xFFFFD000,0x07FFFFFF,0xFFFFFFFE,0x007FFFFF,0xFFFFA000,0x07FFFFFF,0xFFFFFFFE,0x003FFFFF,0xFFFF8000,0x07FFFFFF,0xFFFFFFFE,0x001FFFFF,0xFFFF1000,0x07FFFFFF,0xFFFFFFFE,0x0007FFFF,0xFF7FD800,0x07FFFFFF,0xFFFFFFFE,0x0003FFFF,0xFFFFA000,0x07FFFFFF,0xFFFFFFFE,0x0001FFFF,0xFFCE4000,0x07FFFFFF,0xFFFFFFFE,0x00007FFF,0xFFFFA400,0x0FFFFFFF,0xFFFFFFFE,0x00001FFF,0xFE07C800,0x0FFFFFFF,0xFFFFFFFE,0x000003FF,0xF003D000,0x0FFFFFFF,0xFFFFFFF0,0x00000000,0x0000F900,0x1FFFFFFF,0xFFFFF000,0x00000000,0x00017E00,0x3FFFFFFF,0xFFFF8000,0x00000000,0x00011F80,0x7FFFFFFF,0xFFFF0000,0x00000000,0x000007FF,0xFFFFFFFF,0xFFFC0000,0x00000000,0x000001FF,0xFFFFFFFF,0xFFF00000,0x00000000,0x000000FF,0xFFFFFFFF,0xFFC00000,0x00000000,0x0000407F,0xFFFFFFFF,0xFF000000,0x00000000,0x0000001F,0xFFFFFFFF,0xFC000000,0x00000000,0x0000000F,0xFFFFFFFF,0xF0000000,0x00000000,0x00000003,0xFFFFFFFF,0x80000000,0x00000000,0x00004017,0xFFFFFFFC,0x00000000,0x00000000,0x0000808B,0xFFFFFFE0,0x00000000,0x00000000,0x0000412F,0xFFFFFFF8,0x07C7FFFE,0x00000000,0x000062D7,0xFFFFFFFF,0xFFFFFFFE,0x00000000,0x000075FF,0xFFFFFFFF,0xFFFFFFFE,0x00000000,0x00003FFF,0xFFFFFFFF,0xFFFFFFFE,0x00000000,0x00000000,0x00000000,0x00000000};
		img.load((char*)buffer1, (char*)buffer2);
	}
	else if(n==5) //Cindy Croford
	{
		unsigned long buffer1[] = {0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00340000,0x00000000,0x00000000,0x00000000,0x025C8000,0x00000000,0x00000000,0x00000000,0x0BFFBF16,0x00000000,0x00000000,0x00000000,0x043FFFFE,0x80000000,0x00000000,0x00000000,0x139FFFFF,0x40000000,0x00000000,0x00000000,0x17CFFF3F,0x80000000,0x00000000,0x00000000,0x0FEFFC7F,0x80000007,0xFF000000,0x00000000,0x0FEFF5FF,0xE00011FF,0xFFC60000,0x00000000,0x3FEFFFF5,0xC0017FFF,0xFFFF9800,0x0000C000,0x2CEFFFF2,0x4005FFFF,0xFFFFFD80,0x000EF400,0x1FC7FFE6,0x5F97FFFE,0x7FFFFFD0,0x001DFE00,0x5FC001CD,0x6C5FFF78,0x007FFFFA,0x003BFF7C,0x7C0001D9,0xBC7FFFC0,0x0007FFFE,0x00BFFFFF,0xE23FFE23,0xFFFFFFE0,0x7FE03FFE,0x02FFFFFF,0xED3FFC57,0xFFFFFFF9,0xFFFC0FFE,0x0BFFFFFF,0xEC3FFF3A,0xFFFFFFFC,0xFFFF1FFE,0x17FFFFFF,0xF63FFFED,0xFFFFFFFF,0x7FFFBFFE,0x0FFFD7FF,0xF9BFFDCD,0xFFFFFFFF,0xBFFEFFFE,0x1FFF3E7F,0xFDFFF839,0xFFFFFFFF,0xEFFBFFFE,0x3FFBBFBF,0xF7FFF017,0xFFFF07FF,0xF7EFFFFE,0x3FF2B5FF,0xE3FDF83F,0xFEFE40FF,0xFFBFFFFE,0xFF08F51F,0xE67E7FDF,0xFFFCF07F,0xFFFFFFFE,0xFFF7F0EF,0xE47DBF7F,0xFF5F31FF,0xFFFFFFFE,0xFDCB0BA4,0xC77F03FF,0xFFFFF7FF,0xFFFFFFF8,0x7306179F,0xFC3F8FFF,0xFFBFF0FF,0xFFFFFFC0,0x7A00111B,0x78FB0FFF,0xFFC7C07F,0xFFFFFE00,0xFA0F0213,0x7E76037B,0xFCC0087F,0xFFF80006,0xFE0E8013,0xB5FF803D,0xFD007F7F,0xFF8000BC,0xFD0E0001,0x19FFD72E,0xF841FF7F,0xFC03FFFE,0xBF4B800E,0x061FFF96,0xF800FFFF,0xF87FFFD4,0x5FF800BF,0xFFF3FFD2,0x7601FEFF,0xE1FFFFFC,0x2FF302FF,0xFFFEFFA5,0x7E03FFFF,0xC7FFFFE8,0x17FF79FF,0xFFFFE05B,0xEF817DE7,0x0FFFFFD0,0x03FFF5FF,0xFFFFDA0F,0xEFC3FFC2,0x3FE7FF44,0x02FFFFFF,0xFFFFF781,0x6FFFFF80,0x7F9FFE10,0x0197FFFF,0xFFFFE204,0xFFFFF740,0xFFFFF0C0,0x0063FFFF,0xFFFF91C3,0xB7FFDEF7,0xFFFFC300,0x000EFE72,0x3FFFC199,0x1FFFFDFF,0xFFFF8800,0x00077FE5,0xFFFFFBEB,0x5FFD5EFF,0xFFFE2000,0x00037FC3,0xFFFFF257,0x1C1FBDFF,0xFFF98000,0x0000DF83,0xFFFFFACF,0x0003FBFF,0xFFEE0000,0x00001F01,0xFFFFC1FF,0x4000EFFF,0xFF700000,0x00000019,0xFFFFA7FB,0x40003FFF,0xFF800000,0x00000002,0xFFFE8C1F,0x400001FF,0x80000000,0x00000000,0x4C1E941F,0x40000000,0x00000000,0x00000000,0x4607321E,0x00000000,0x00000000,0x00000000,0x3281571E,0x00000000,0x00000000,0x00000000,0x0C1F3B9E,0x00000000,0x00000000,0x00000000,0x023FFDDE,0x00000000,0x00000000,0x00000000,0x009EFDBE,0x00000000,0x00000000,0x00000000,0x006FFCBE,0x80000000,0x00000000,0x00000000,0x001FFE3C,0x80000000,0x00000000,0x00000000,0x0007FF7C,0x80000000,0x00000000,0x00000000,0x0003FF3D,0x80000000,0x00000000,0x00000000,0x00003F3B,0x00000000,0x00000000,0x00000000,0x00000734,0x00000000,0x00000000,0x00000000,0x000001F8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000};
		unsigned long buffer2[] = {0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01FF0000,0x00000000,0x00000000,0x00000000,0x07FFC008,0x00000000,0x00000000,0x00000000,0x0FFFFFFF,0x00000000,0x00000000,0x00000000,0x0C7FFFFF,0x80000000,0x00000000,0x00000000,0x083FFFFF,0xC0000000,0x00000000,0x00000000,0x101FFFFF,0xC0000000,0x00000000,0x00000000,0x101FFBFF,0xC0000FFF,0xFFF80000,0x00000000,0x001FFFFB,0xE000FFFF,0xFFFFE000,0x00003000,0x101FFFFF,0xE003FFFF,0xFFFFFE00,0x0001F800,0x203FFFFF,0xE00FFFFF,0xFFFFFFE0,0x0003FC00,0x203FFFFE,0xF03FFFFF,0xFFFFFFFC,0x001FFF83,0xE3FFFFBF,0xFFFFFFFF,0xFFFFFFFE,0x007FFFFF,0xFFC001FF,0xFFFFFFFF,0x801FFFFE,0x01FFFFFF,0xF3C003EF,0xFFFFFFFE,0x0003FFFE,0x07FFFFFF,0xF3C000CD,0xFFFFFFFF,0x0000FFFE,0x0FFFFFFF,0xF9C0001B,0xFFFFFFFF,0x80007FFE,0x1FFFFFFF,0xFE400013,0xFFFFFFFF,0xC001FFFE,0x3FFFFFFF,0xFE000007,0xFFFFFFFF,0xF007FFFE,0x3FFF7FFF,0xF800000F,0xFFFFFFFF,0xF81FFFFE,0x7FFF7FFF,0xFC02000F,0xFFFFBFFF,0xFC7FFFFE,0x7FFFFFFF,0xF801803F,0xFFFF0FFF,0xFFFFFFFE,0x7E0FFF1F,0xF80240FF,0xFFFFCFFF,0xFFFFFFFE,0x7E07F41B,0x3880FFFF,0xFFFFFFFF,0xFFFFFFFE,0xFC000000,0x03C07FFF,0xFFFFFFFF,0xFFFFFFFE,0xFC000200,0x0704FFF7,0xFFFFFFFF,0xFFFFFFFE,0xFC000000,0x0189FFF7,0xFFFFF7FF,0xFFFFFFF8,0xFC010000,0x0A007FFB,0xFFFF80FF,0xFFFFFF42,0xFE010000,0x060028DD,0xFFFE00FF,0xFFFC0000,0x7F800001,0xFFE0006F,0xFFFF00FF,0xFF80002A,0x3FC0007F,0xFFFC0037,0xF9FE01FF,0xFE000002,0x1FFC01FF,0xFFFF001B,0xF1FC01FF,0xF8000016,0x0FFF81FF,0xFFFF800D,0xF07E83FF,0xF000002E,0x07FFFBFF,0xFFFFE004,0xF03C03FF,0xC00000B8,0x01FFFFFF,0xFFFFF806,0xF00007FF,0x800001E0,0x007FFFFF,0xFFFFFD83,0x60000FBF,0x00000F00,0x001FFFFF,0xFFFFFF81,0x60000F08,0x00003C00,0x0001FFFD,0xFFFFFFC0,0xE0001E00,0x00007000,0x0000FFFB,0xFFFFFCF0,0xE0003C00,0x0001C000,0x0000FFFF,0xFFFFFCE0,0xE0007800,0x00060000,0x00003FFF,0xFFFFFC60,0xC000F000,0x00100000,0x000000FF,0xFFFFFE00,0x80007000,0x00800000,0x00000007,0xFFFFD800,0x80000000,0x00000000,0x00000001,0xFFFFF000,0x80000000,0x00000000,0x00000000,0xFFFFE800,0x80000000,0x00000000,0x00000000,0x3FFFCC01,0x80000000,0x00000000,0x00000000,0x0FFFAE21,0x80000000,0x00000000,0x00000000,0x03E0C7E1,0x80000000,0x00000000,0x00000000,0x01C003E1,0x80000000,0x00000000,0x00000000,0x006003C1,0x80000000,0x00000000,0x00000000,0x001003C1,0x00000000,0x00000000,0x00000000,0x000001C3,0x00000000,0x00000000,0x00000000,0x00000083,0x00000000,0x00000000,0x00000000,0x000000C2,0x00000000,0x00000000,0x00000000,0x000000C4,0x00000000,0x00000000,0x00000000,0x000000C8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000};
		img.load((char*)buffer1, (char*)buffer2);
	}
	else if(n==6) //Kisscool
	{
		unsigned long buffer1[] = {0x5F455145,0x29329290,0xA0000000,0x00000028,0x23C00420,0x56295404,0x10000000,0x00008004,0x47C20842,0xA868A82A,0x00000000,0x002A0000,0x17C09090,0x50940040,0x00000000,0x00000000,0x8BC00048,0x02D5012A,0x80000000,0x00000010,0x27C00122,0x052AAA40,0x00000000,0x00002100,0x57C00404,0xA9555495,0x2A800000,0x00000000,0x8FC020A9,0x56A8BB20,0x41400000,0x00000200,0x57C55A00,0xAA554588,0x28200000,0x00000000,0x2FC00517,0x178828E2,0x80000000,0x0E000004,0x57C00322,0xE9515100,0x00000000,0x1F000000,0xAFC12022,0xB5A28440,0x20000002,0x9F800010,0xBFC009E9,0xE2405211,0x00000004,0x5FE00004,0xAFC00192,0x0C250000,0x00000001,0xFFE00000,0x7FE000F0,0xFFC05400,0x0001DF17,0xFFF80100,0xDFC001FF,0x003E0000,0x000E0007,0xFFFE0048,0x6FE001FC,0x80038000,0x00000007,0xFFFF1000,0xBFC003F0,0x2000E000,0x00100007,0xFFFF80A0,0x7FC003F0,0x04207000,0x0000000F,0xFFFFF004,0xFFC003F8,0x00001000,0x0000000F,0xFFFFC028,0x7FC00BFF,0xC0100000,0x0000043F,0xFFFFC004,0xFFC09FFF,0xEA000000,0x000003FF,0x0FFFE080,0xFFC1BFFF,0x3F000000,0x000007FE,0xFEFFE014,0xFFC0BFFF,0xFF800000,0x00000FFD,0xA3C7F200,0xFFE1B9FF,0xFFC85A00,0x00001FFD,0xBCFBF840,0xFFC172AF,0xFFC00100,0x00003FFD,0xFFA3F800,0xFFC1717D,0xFFC00080,0x00083FFC,0xFFDFFC00,0xFFC0F5DF,0xFFC00000,0x003C7FFE,0x6FFFF804,0xFFE0E2EF,0xEFE00000,0x0027FFFF,0x3FFFFC00,0xFFC0E19F,0xFFEF8000,0x0024FFFF,0x9FFFF820,0xFFE1C277,0x5BE40000,0x004BFFFF,0xEDFFFC00,0xFFC1C09A,0xFFF36000,0x0043FFFF,0xF77FFC80,0xFFE1804D,0x7FF04000,0x005BFFFF,0xFB7FFC06,0xFFE38003,0xB7F0C000,0x005FFFFF,0xFC2FF90A,0xFFC3802D,0x6BE1C000,0x00B7FFFF,0xFC9FF83A,0xFFE74002,0xAD004000,0x01A5FFFF,0xFE7FF8E4,0xFFC6E000,0x44918000,0x01FBFFFF,0xFF7FF3D0,0xFFEEE000,0x10300000,0x00F7FFFF,0xFD3FFFAA,0xFFDCF000,0x00620000,0x121FFFFF,0xFFFFFD74,0xFFFC7400,0x00C00000,0x0003FFFF,0xFFFFDE00,0xFFB87800,0x01800000,0x0000FFFF,0xFFFFBE00,0xFF72BE00,0x07022AAA,0x9000FFFF,0xFFFFC000,0xBEEC1F00,0x1E008000,0x00007FFF,0xFFFEC000,0xB5E003C9,0xF8000000,0x00003FFF,0xFFFD8000,0x7380001F,0x80000000,0x00001FFF,0xFFFF8000,0x0F000003,0x00000000,0x00000FFF,0xFFFB0000,0xDE000006,0x00000000,0x000007FF,0xFF830000,0xBFF4000E,0x00000000,0x00FBFBBF,0xBE120000,0xF7FFAE3E,0x0002A001,0x5769FFFF,0x7D100554,0xDFFFFE3F,0xF7BAB150,0x5596FFFF,0xDFE0501E,0x3FFFFCFF,0x9E07268C,0x0155FFFF,0x3FFFFFF4,0xFFFFF9DA,0x000FF64B,0x680BFFFF,0x2F5F8000,0xFFFFF85C,0x0B8FFF1D,0xBF00FFFF,0x38000000,0xFFFFFDC6,0xFFFFE272,0x54FF000B,0xD9550554,0xFFFFFFFF,0xFFFDE64D,0xFF0083FF,0xFAAEFAA8,0xFFFFFFFF,0xFF9813FF,0xD5D507FF,0xE0110154,0xBE7F3FFF,0xB4E49EA7,0x7EFEE300,0x1EA8AD6A,0xD5BD8FF3,0x6E9D605D,0x8BABFDFF,0xF5D75356,0xFFFFDE65,0xFDB2DFF7,0x702A000E,0x0ABEBED4,0xDBFF6FFF,0xB77FBFDD,0xDD55B7FB,0xA041412A,0x2000156F,0xDDEDCAEE,0xEFFADAAD,0xDD28A8B4,0xDED54000,0x0212573B,0xBAAF6D76,0xB6F7576A,0xB5AFFFFE,0xB4400000,0x42A8DACD,0x6DAEFED6,0x00000000,0x00000000,0x00000000,0x00000000};
		unsigned long buffer2[] = {0xFFFAAEBA,0xD6CD6D6F,0x5FFFFFFF,0xFFFFFFFE,0xFFFFFBDF,0xA9D6ABFB,0xEFFFFFFF,0xFFFFFFFE,0xFFFDF7BD,0x579757D5,0xFFFFFFFF,0xFFFFFFFE,0xFFFF6F6F,0xAF6BFFBF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFB7,0xFD2AFED5,0x7FFFFFFF,0xFFFFFFFE,0xFFFFFEDD,0xFAD555BF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFBFB,0x56AAAB6A,0xD57FFFFF,0xFFFFFFFE,0xFFFFDF56,0xA95744DF,0xBEBFFFFF,0xFFFFFFFE,0xFFFAA5FF,0x55AABA77,0xD7DFFFFF,0xFFFFFFFE,0xFFFFFAF8,0xE877D71D,0x7FFFFFFF,0xFFFFFFFE,0xFFFFFCF1,0x16AEAEFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFEDFF1,0x0A5D7BBF,0xDFFFFFFC,0x1FFFFFFE,0xFFFFF7F0,0x3DBFADEE,0xFFFFFFFE,0x3FFFFFFE,0xFFFFFFFD,0xF3DAFFFF,0xFFFFFFFE,0x7FFFFFFE,0xFFFFFF0F,0x003FABFF,0xFFFE20EF,0xFFFFFFFE,0xFFFFFE00,0xFFC1FFFF,0xFFF1FFFF,0xFFFFFFFE,0xFFFFFE03,0xFFFC7FFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFC0F,0xDFFF1FFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFC0F,0xFBDF8FFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFC07,0xFFFFEFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFF400,0x3FEFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFE000,0x15FFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFC000,0xC0FFFFFF,0xFFFFFFFF,0x01FFFFFE,0xFFFFC000,0x007FFFFF,0xFFFFFFFE,0x7C3FFFFE,0xFFFFC600,0x0037A5FF,0xFFFFFFFE,0x7F07FFFE,0xFFFF8D50,0x003FFEFF,0xFFFFFFFE,0x3FDFFFFE,0xFFFF8E82,0x003FFF7F,0xFFFFFFFF,0x1FFFFFFE,0xFFFF0A20,0x003FFFFF,0xFFFFFFFF,0x9FFFFFFE,0xFFFF1D10,0x101FFFFF,0xFFFFFFFF,0xCFFFFFFE,0xFFFF1E60,0x001E7FFF,0xFFFFFFFF,0xE7FFFFFE,0xFFFE3D88,0xA41FFFFF,0xFFF7FFFF,0xF3FFFFFE,0xFFFE3F65,0x000F9FFF,0xFFF7FFFF,0xF8FFFFFE,0xFFFE7FB2,0x800FBFFF,0xFFE7FFFF,0xFCFFFFF8,0xFFFC7FFC,0x480F3FFF,0xFFE3FFFF,0xFFFFFFF4,0xFFFC7FD2,0x941E3FFF,0xFFCBFFFF,0xFFFFFFC4,0xFFF8FFFD,0x52FFBFFF,0xFFDBFFFF,0xFFFFFF1A,0xFFF9FFFF,0xBB7E7FFF,0xFFFFFFFF,0xFFFFFC2E,0xFFF1FFFF,0xEFFFFFFF,0xFFFFFFFF,0xFFFFF054,0xFFE3FFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFE28A,0xFFC3FFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFE1FE,0xFFC7FFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFC1FE,0xFF8C7FFF,0xFFFDD555,0x6FFFFFFF,0xFFFFBFFE,0xFF1FFFFF,0xFFFF7FFF,0xFFFFFFFF,0xFFFF3FFE,0xFE1FFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFE7FFE,0xFC7FFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFC7FFE,0xF0FFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFCFFFE,0xE1FFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFCFFFE,0xC3FFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFDFFFE,0x0FFFFFFF,0xFFFD5FFF,0xFFFFFFFF,0xBFFFFFFE,0x3FFFFFFF,0xFFFF6EAF,0xFFFFFFFF,0xBFFFFFFE,0xFFFFFF7F,0xE1FFFF73,0xFFFFFFFF,0xDFFFFFFE,0xFFFFFE3D,0xFFFFFFF4,0x97FFFFFF,0xDFFFFFFE,0xFFFFFFA3,0xFFFFFFE2,0x40FFFFFF,0xCFFFFFFE,0xFFFFFFFF,0xFFFFFF8D,0xAB00FFF4,0x26AAFAAA,0xFFFFFFFF,0xFFFFFFB2,0x00FF7C00,0x05510556,0xFFFFFFFF,0xFFFFEC00,0x2A2AF800,0x1FEEFEAA,0xFFFFFFFF,0xFB1B6158,0x81011CFF,0xE1575294,0xEA7E77FF,0x91629FA2,0x74540200,0x0A28ACA8,0x000021FA,0x024D2008,0x8FD5FFF1,0xF541412A,0x24009000,0x48804022,0x22AA4804,0x5FBEBED4,0xDFFFEA90,0x22123511,0x10052552,0x22D7574A,0x212ABFFF,0xFDEDA8C4,0x45509289,0x4908A894,0x4A500001,0x4BBFFFFF,0xBD572532,0x92510128,0x00000000,0x00000000,0x00000000,0x00000000};
		img.load((char*)buffer1, (char*)buffer2);
	}
	else if(n==7) //Linux
	{
		unsigned long buffer1[] = {0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000001,0xFE000000,0x00000010,0x00000000,0x00000003,0xFF000000,0x00000038,0x00000000,0x00000007,0xFF800000,0x03BF007C,0x00000000,0x00000007,0xFF800000,0x01FF00F8,0x00000000,0x0000000F,0xFFC00000,0x017C0078,0x00000000,0x0000000F,0xFFC00000,0x00F80000,0x00000000,0x0000130F,0xFFE00000,0x00F80000,0x00000000,0x0000060C,0xFFE00000,0x00F80018,0x08280201,0x40000B0E,0xEFE00000,0x00F800F8,0x7EFE1F8B,0x87F7F00F,0x7FE00000,0x00F801F8,0xFFFE3F9F,0x8FF1F00F,0x7FF00000,0x00F800F8,0xBF7F2F87,0x83E1C00F,0x0FF00000,0x00F80078,0x3E1E0787,0x80F3000C,0x21F00000,0x00F80078,0x3E1E0787,0x80FB000C,0x21F00000,0x00F80078,0x3E1F0F87,0x80FF000E,0x1FF00000,0x00F80078,0x3E1E0F87,0x803C000F,0x7BF80000,0x00F80078,0x3E1E0F87,0x803E000C,0xF9F80000,0x00F80C78,0x3E0E0F87,0x807E000D,0x90FC0000,0x00F81C78,0x3E1E0F87,0x80EF003C,0xC0FC0000,0x00F81C78,0x3E1E0F07,0x80CF8038,0x007E0000,0x00F81C78,0x3E1E07C3,0x81C7C030,0x003F0000,0x007FFC78,0x3E1F0FFF,0xC1C3E0F0,0x003F8000,0x01FFFDFE,0xFF3FC7FF,0xFFE7F8E0,0x003F8000,0x01FFFDFE,0x7F3F83F7,0xF7E7F8E0,0x003FC000,0x00000000,0x00000000,0x000001C0,0x001FC000,0x00000000,0x00000000,0x000003C0,0x001FE000,0x00000000,0x00000000,0x00000180,0x000FE000,0x00000000,0x00000754,0x7FFFE380,0x000FF000,0x00000000,0x00F8BFFF,0xFFFFF380,0x000FE000,0x00000007,0xF7FFFFFF,0xFFFFA780,0x000FF000,0x000007C0,0xFFFFFFFF,0xFFF80F80,0x0007F000,0x0003E000,0x7FFFFFFF,0xFFE00F80,0x0007F000,0x00380000,0xFFFFFFF9,0xE0000F80,0x000FF000,0x01800000,0x7FFFF9E0,0x00000380,0x001FE000,0x02000000,0x7FF1C000,0x000000C0,0x002FF000,0x02000000,0x7EE00000,0x00000870,0x002FD000,0x02000003,0xB8000000,0x0000D078,0x00679000,0x02000007,0x00000000,0x00010038,0x004F0800,0x02000030,0x00000000,0x0000001E,0x00500400,0x02000100,0x00000000,0x0001001E,0x00200200,0x02001800,0x00000000,0x0000000C,0x00600100,0x0200C000,0x00000000,0x00010008,0x01E00100,0x00020000,0x00000000,0x0000000E,0x0BE00400,0x01080000,0x00000000,0x00018007,0xFFE01800,0x01000000,0x00000000,0x0001F807,0xFFE08000,0x00800000,0x00000000,0x00004F1F,0xFFF98000,0x00000000,0x00000000,0x000009FF,0x003F8000,0x00000000,0x00000000,0x000000F0,0x001F0000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000};
		unsigned long buffer2[] = {0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xFC000000,0x00000000,0x00000000,0x00000003,0xFF000000,0x00000078,0x00000000,0x00000007,0xFF800000,0x01FE0078,0x00000000,0x0000000F,0xFFC00000,0x03FE007C,0x00000000,0x0000000F,0xFFC00000,0x00F80078,0x00000000,0x0000000F,0xFFE00000,0x00780030,0x00000000,0x00000C0F,0xFFE00000,0x00780000,0x00000000,0x00000F0F,0xF3E00000,0x00780000,0x04100100,0x8000040C,0xE1E00000,0x00780078,0x3CFC0F07,0xCFF3F00F,0xEDE00000,0x007801F8,0xFFFE1F0F,0xC7E3E00F,0xFDE00000,0x007801F8,0x7FBE1F0F,0xC1E1800F,0xFDE00000,0x00780078,0x3C1F0F03,0xC1F3800F,0xDFE00000,0x00780078,0x3C0F0F03,0xC0F7000F,0xDFE00000,0x00780078,0x3C0F0F03,0xC07E000F,0xFFF00000,0x00780078,0x3C0F0F03,0xC07E000F,0xFDF00000,0x00780078,0x3C0F0F03,0xC03E000D,0xF0F80000,0x00780078,0x3C1F0F03,0xC03F001C,0x60F80000,0x00781C78,0x3C0F0F03,0xC07F0018,0x007C0000,0x00781C78,0x3C0F0F83,0xC0E78030,0x007E0000,0x00781C78,0x3C0F0F87,0xC1C7C070,0x007F0000,0x00F81C78,0x3C0F07FF,0xC383C070,0x003F0000,0x03FFFDFE,0x7F3F87FF,0xE7C7F0F0,0x003F8000,0x03FFFDFE,0xFF3FC3E3,0xEFC7F1E0,0x001FC000,0x00000000,0x00000000,0x000001E0,0x001FC000,0x00000000,0x00000000,0x000001C0,0x000FC000,0x00000000,0x00000000,0x000003C0,0x000FE000,0x00000000,0x000000AB,0xFFFFF380,0x000FE000,0x00000000,0x0007FFFF,0xFFFFF780,0x000FF000,0x00000000,0x0FFFFFFF,0xFFFFC700,0x000FF000,0x0000003F,0xFFFFFFFF,0xFFFE0F00,0x000FF000,0x00001FFF,0xFFFFFFFF,0xFC000F00,0x000FF000,0x0007FFFF,0xFFFFFFFE,0x00000F00,0x000FF000,0x007FFFFF,0xFFFFFE00,0x00000F80,0x000FF000,0x01FFFFFF,0xFFFE0000,0x00000FC0,0x001FE000,0x01FFFFFF,0xFF000000,0x00001FE0,0x001FE000,0x01FFFFFF,0xC0000000,0x00003FF0,0x001FE000,0x01FFFFF8,0x00000000,0x0000FFFC,0x003FF000,0x01FFFFC0,0x00000000,0x0001FFFC,0x003FF800,0x01FFFE00,0x00000000,0x0000FFFC,0x007FFC00,0x01FFE000,0x00000000,0x0001FFF8,0x00FFFE00,0x01FF0000,0x00000000,0x0001FFF0,0x01FFFE00,0x01FC0000,0x00000000,0x0001FFFC,0x07FFF800,0x00F00000,0x00000000,0x0001FFFF,0xFFFFE000,0x00E00000,0x00000000,0x0000FFFF,0xFFFFE000,0x00400000,0x00000000,0x00003FFF,0xFFFFC000,0x00000000,0x00000000,0x000007FC,0x007F0000,0x00000000,0x00000000,0x00000078,0x003E0000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000};
		img.load((char*)buffer1, (char*)buffer2);
	}
	else if(n==8) //Portman
	{
		unsigned long buffer1[] = {0x00000017,0xFFFFFFFB,0x77FFFFFF,0xFFFFFFFE,0x0000003F,0xFFFFFFFB,0xFBFFFFFF,0xFFFFBFFE,0x0000007F,0xFFFFFFFB,0xFFFFFFFF,0xFFFBFFFE,0x000000FF,0xFFFFFFF9,0xFDFFFFFF,0xFFEEB9DE,0x000001FF,0xFFFFFC7C,0xFCFFFFFF,0xFFFBC330,0x000003FF,0xFFFFFE50,0x380BFFFF,0xFFFFA260,0x000007FF,0xFFFFFF8E,0x00007FFF,0xFFFF0CC0,0x000003FF,0xFFFFFF80,0x4000BFFF,0xFFFAF1C0,0x000007FF,0xFFFFFF00,0x10001FFF,0xEAFFCF80,0x00001FFF,0xFFFFFE00,0x00000FFF,0xF02F3F70,0x00000FFF,0xFFFFFC00,0x000003FF,0xFE1BFCC8,0x00003FFF,0xFFFFF800,0x000001FF,0x7FEEF100,0x00007FFF,0xFFFFF000,0x000000FF,0x81755000,0x00003FFF,0xFFFFC000,0x0004807F,0xF0000000,0x00007FFF,0xFFFFC004,0x0000003F,0xF4002C00,0x00006FFF,0xFFFF82A9,0x0002801F,0xF8007300,0x0000FFFF,0xFFFF0834,0xA001100F,0xF9037FC0,0x0001FFFF,0xFFFF05DF,0x54004003,0xF489FFC0,0x0000FFFF,0xFFFE1D3F,0xA5008803,0xE007FFE0,0x0001FFFF,0xFFFC22FF,0xFA012001,0xE05FFFF8,0x0003FFFF,0xFFFC143F,0xFF809400,0xF05FFFFC,0x0001FFFF,0xFFFC000F,0xFF446A00,0x787FFFFE,0x0001FFFF,0xFFF8AA1F,0xFFA0DA00,0x38FFFFFE,0x0003FFFF,0xFFF00007,0xFFCFB580,0x1DCFFFFE,0x0003FFFF,0xFFF15807,0xFFA5DA94,0x0C8FFFFE,0x0003FEFF,0xFFE0A827,0xFFF7FF49,0x0401FFFE,0x0003FFFF,0xFFC35833,0xFFD5F69D,0x64017FFE,0x0003BDFF,0xFFC5703B,0xFE8B7C30,0xC3007FFE,0x0003FFFF,0xFF97B838,0x7F412A1A,0xE0001FFE,0x0003FDFF,0xFF9AF97F,0x80075400,0x70003FFE,0x0003FFFD,0xFF37FCFF,0xFFFE1880,0xF9801FFE,0x0001FFFF,0xBF4F8FFF,0xC003E080,0x70001FFE,0x0001FFFF,0x7E41FFFF,0x0BF747C0,0xF8801FFE,0x0003FEEB,0xFC0FFF7F,0x07FDFDE2,0x78C00FFE,0x0003FFFF,0xFDBFF73E,0x07EBFEFF,0x78400FFE,0x0001FFFB,0xFFDFC33C,0x07FFFEE7,0xB0C003FE,0x0000FFF7,0xFF8A1DBC,0x8FD3FEE3,0xC84003FE,0x0000FFFF,0xFFE07DBF,0x8FE1FEE1,0xF00001FE,0x0001FFFF,0xFF87FDFF,0xCFC23E71,0xCE8001FE,0x00007FFF,0xFF3FFFDF,0x9FCC5C71,0xE38000FE,0x0000FFFF,0xFEFFFEFF,0x9FCEC671,0xF34001FE,0x00007FFF,0xFFFFFEFF,0x9FEEC079,0xF40000FE,0x00003FFF,0xFDFFFF7F,0xBFFEC87F,0xE02800FE,0x00007FFF,0xFFFFFE3F,0x1FF6DCFF,0xA004003E,0x00003FFF,0xFFFFFF8E,0x3FFE6FFF,0x4002001E,0x00001FFF,0xFBFFFF80,0x3FFF1FFE,0x0001000E,0x00003FFF,0xFBFFFF60,0x7FFF1FFC,0x0002000E,0x00000FFF,0xF9FFFFC0,0xFFFF07FC,0x00010000,0x00001FFF,0xF9FFFF60,0xFFFF0028,0x00004000,0x00000FFF,0xF1FFFF90,0x040000C0,0x00008000,0x000003FF,0xF8FDF520,0x7F000140,0x00002000,0x000003FF,0xF0F77E40,0xFF000700,0x00004000,0x000003FF,0xF8BBA101,0xFF000A00,0x00000000,0x000000FF,0xF06EAA43,0xFF003800,0x00003000,0x0000007F,0xF8095083,0xFF805000,0x00003000,0x0000007F,0xF8222107,0xFF824000,0x00001000,0x0000003F,0xF0010007,0xFFF10000,0x00001000,0x0000001F,0xF8000007,0xFE700000,0x00001000,0x0000000F,0xFC00000F,0xF8000000,0x00000000,0x0000000F,0xFE00000F,0xE0000000,0x00000000,0x00000005,0xFF80001F,0xC0000000,0x00000000,0x00000002,0xFFC003EE,0x00000000,0x00000000,0x00000000,0xBFF03FE6,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000};
		unsigned long buffer2[] = {0x0000000F,0xFFFFFFFC,0x8FFFFFFF,0xFFFFFFFE,0x0000001F,0xFFFFFFFC,0x07FFFFFF,0xFFFFFFFE,0x0000003F,0xFFFFFFFC,0x03FFFFFF,0xFFFFFFFE,0x0000007F,0xFFFFFFFE,0x03FFFFFF,0xFFFFFFFE,0x000000FF,0xFFFFFFFF,0x03FFFFFF,0xFFFFFFFE,0x000001FF,0xFFFFFFEF,0xC7FFFFFF,0xFFFFFFFE,0x000003FF,0xFFFFFFF1,0xFFFFFFFF,0xFFFFFFFE,0x000007FF,0xFFFFFFFF,0xBFFFFFFF,0xFFFFFFFE,0x00000FFF,0xFFFFFFFF,0xEFFFFFFF,0xFFFFFFFE,0x00000FFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0x00001FFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0x00001FFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0x00003FFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0x00007FFF,0xFFFFFFFF,0xFFFB7FFF,0xFFFFFFFE,0x00007FFF,0xFFFFFFFB,0xFFFFFFFF,0xFFFFFFFE,0x0000FFFF,0xFFFFFD56,0xFFFD7FFF,0xFFFFFFFE,0x0000FFFF,0xFFFFF7CB,0x5FFEEFFF,0xFFFFFFFE,0x0000FFFF,0xFFFFFA20,0xABFFBFFF,0xFFFFFFFE,0x0001FFFF,0xFFFFE2C0,0x5AFF77FF,0xFFFFFFFE,0x0001FFFF,0xFFFFDD00,0x05FEDFFF,0xFFFFFFFE,0x0001FFFF,0xFFFFEBC0,0x007F6BFF,0xFFFFFFFE,0x0003FFFF,0xFFFFFFF0,0x00BB95FF,0xFFFFFFFE,0x0003FFFF,0xFFFF55E0,0x005F25FF,0xFFFFFFFE,0x0003FFFF,0xFFFFFFF8,0x00304A7F,0xFF9FFFFE,0x0003FFFF,0xFFFEA7F8,0x005A256B,0xFF07FFFE,0x0003FFFF,0xFFFF57F8,0x000800B6,0xFE03FFFE,0x0003FFFF,0xFFFCA7FC,0x002A0962,0x9E00FFFE,0x0003FFFF,0xFFFA8FFC,0x017483CF,0x3E003FFE,0x0003FFFF,0xFFE847FF,0x80BED5E5,0x1F003FFE,0x0003FFFF,0xFFE506FF,0xFFF8ABFF,0x8F001FFE,0x0003FFFF,0xFFC807FF,0xFFFFE7FF,0x07001FFE,0x0003FFFF,0xFFB07FFF,0xFFFFFFFF,0x8F801FFE,0x0003FFFF,0xFFBFFFFF,0xF408BFFF,0x07800FFE,0x0001FFFF,0xFFFFFFFF,0xF80203FF,0x87800FFE,0x0001FFFF,0xFFFFFFFF,0xF81401FF,0x878007FE,0x0001FFFF,0xFFFFFFFF,0xF80001FF,0xCF8007FE,0x0001FFFF,0xFFFFE3FF,0xF02C01FF,0xF78003FE,0x0001FFFF,0xFFFF83FF,0xF01E01FF,0xFF8003FE,0x0000FFFF,0xFFF803FF,0xF03DC1FF,0xFF0001FE,0x0000FFFF,0xFFC001FF,0xE033E3FF,0xFF0001FE,0x00007FFF,0xFF0001FF,0xE031F9FF,0xFC8000FE,0x00007FFF,0xFE0001FF,0xE011FFFF,0xF86000FE,0x00007FFF,0xFE0000FF,0xC001FFFF,0xF010007E,0x00003FFF,0xFC0001FF,0xE009FFFF,0xC008007E,0x00003FFF,0xFC00007F,0xC001FFFF,0x8004003E,0x00003FFF,0xFC00007F,0xC000FFFF,0x0002001E,0x00001FFF,0xFC00009F,0x8000FFFE,0x00010006,0x00001FFF,0xFE00003F,0x0000FFF8,0x00008002,0x00000FFF,0xFE00009F,0x0000FFF0,0x00008000,0x000007FF,0xFE00006F,0xFFFFFFE0,0x00004000,0x000007FF,0xFF020ADF,0xFFFFFF80,0x00004000,0x000003FF,0xFF0881BF,0xFFFFFE00,0x00002000,0x000001FF,0xFF445EFF,0xFFFFFC00,0x00002000,0x000001FF,0xFF9155BF,0xFFFFF000,0x00000000,0x000000FF,0xFFF6AF7F,0xFFFFE000,0x00000000,0x0000007F,0xFFDDDEFF,0xFFFF8000,0x00000000,0x0000003F,0xFFFEFFFF,0xFFFE0000,0x00000000,0x0000001F,0xFFFFFFFF,0xFF800000,0x00000000,0x0000000F,0xFFFFFFFF,0xF0000000,0x00000000,0x00000007,0xFFFFFFFF,0xF0000000,0x00000000,0x00000003,0xFFFFFFFF,0x80000000,0x00000000,0x00000001,0xFFFFFFFF,0x00000000,0x00000000,0x00000000,0x7FFFFF80,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000};
		img.load((char*)buffer1, (char*)buffer2);
	}
	else if(n==9) //Oeil
	{
		unsigned long buffer1[] = {0x00050554,0x5F7FFFFF,0xFFFFFFDF,0xFFFEEDAA,0x0000402B,0xBFFFFFFF,0xFFFFFFFF,0xFFFFFB54,0x240A95DE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFF6EA,0x89516A7F,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFDAA,0x0000ABFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFD4,0x25D57FFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFF7E,0x42A3FFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFEA,0x9556FFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFDE,0x4AD7FFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFEA,0xAB7BFFFF,0xFFFFFFFF,0xFFFF87FF,0xFFFFFFFE,0xDFFFFFFF,0xFFFFFFFF,0xFFFFA703,0xFFFFFFEA,0xBFFFFFFF,0xFFFFFFFF,0xFFFFFE03,0xFFFFFEFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFF00,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFF01,0x1FFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFEA,0x47FFFF6E,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFC,0x87FFFFDA,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0x81FFFFEE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x40FFFFBA,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xC03FFF76,0xFFFFFFFF,0xFFFFFFFE,0x0FFFFFFF,0xE21FFFDC,0xFFFFFFFF,0xFFFFFFFD,0xF7FFFFFF,0xE18FFFEA,0xFFFFFFFF,0xFFFFFFFD,0x1BFFFFFF,0xF0C3FFFE,0xFFFFFFFF,0xFFFFFFFD,0xF9FFFBFF,0xF8E1FFF4,0xFFFFFFFF,0xFFFFFFFE,0xB1CFF0FF,0xFE60FFFE,0xFFFFFFFF,0xFFFFFFFE,0x31C3F73F,0xFF147FFA,0xFFFFFFFF,0xFFFFFFFE,0xB04BF7CF,0xFF803FFE,0xFFFFFFFF,0xFFFFFFFF,0x9021F273,0xFFE40FFE,0xFFFFFFFF,0xE3FFFFFF,0x9805FBD9,0xFFE00FFA,0xFFFFFFFF,0xC7FFFFFF,0x0C26F3FE,0xFFF007FC,0xFFFFFFFF,0x43FFFFFF,0xC60EF7EB,0x7FF001FE,0xFFFFFFFE,0x03FFFFFF,0xD20577BF,0x3FFE21FE,0xFFFFFFF8,0x83FFFFFF,0xE9897657,0x9FFF08FC,0xFFFFFFFC,0x03FFFFFF,0xF44977AA,0xCFFF247E,0xFFFFFFF8,0x03FFFFFF,0xFDC97755,0x67FF1C3C,0xFFFFFFFA,0x03FFFFFF,0xFE26E6A3,0xF3FFAA1E,0xFFFFFFF4,0x0DFFFFFF,0xFFF8E54E,0xF9FF9C1C,0xFFFFFFFA,0x13FFFFFF,0xFFFFED55,0xF9FFCA8E,0xFFFFFFFC,0x09FFFFFF,0xFFF7ECA2,0xF9FFC502,0xFFFFFFFD,0x05FEFFFF,0xFFFFD94D,0xB9CFE68C,0xFFFFFFFA,0x0CF80FFF,0xFFFFD892,0xFD8FE742,0xFFFFFFF8,0x16F883FF,0xFFFF988B,0x7807F380,0xFFFFFFFE,0x2E7E01FF,0xFFFFB445,0xE84FFAC0,0xFFFFFFF8,0x1F3E00FF,0xFFFFF18B,0xF00FF9A0,0xFFFFFFFA,0x3F9E837F,0xE3FF64AA,0xE03FFD60,0xFFFFFFF8,0x3FDFE89A,0x80FCE255,0xE2FFFCB0,0xFFFFFFD6,0x0FCFF509,0x0A3FD521,0xC3FFFC50,0xFFFFFFA8,0x2FEFFA7F,0xFE7BA84F,0xC7FFFE38,0xFFFFFF50,0x06E7FFBF,0xFFE70B3F,0xC5FFFC70,0xFFFFFFC8,0x007BFFFF,0xFFEEE7FF,0x04FBFE38,0x3FFFFFF0,0x002DFFFF,0xFFDD3BFE,0x023FFC14,0xFFFFFFD4,0x005C7FFF,0xFF9AFFF8,0x007FEE28,0xAFFFFFF1,0x00AA3FFF,0xFE7FFFA4,0x00000A00,0x15FF7FFC,0x00558FFF,0xF8FFF856,0x80000410,0x4AFFD57F,0xC00BE01F,0xF9F87EEB,0x403C0000,0x05FFAAAD,0x1000B000,0x2200B9EF,0xAB7F8000,0x0AFF545A,0xA0000000,0x0000FFDF,0x57FD0020,0x037FA92A,0x10000000,0x4003FAFB,0xEBFE8000,0x00FE5049,0x40000000,0x9007FFFF,0x5DFF4000,0x055C8090,0x10140000,0x000FE96A,0xEBFE8000,0x00280000,0x00080000,0x0017F6DF,0x96FB5000,0x00140000,0x00000000,0x000D5B6A,0xDBFD8020,0x00000000,0x00000000,0x0017F5FD,0xA5FB5000,0x00141400,0x00000000,0x402F87AB,0x7FF6A000,0x00000000,0x00000000,0x00000000,0x00000000};
		unsigned long buffer2[] = {0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFDFFFFFE,0xFFFFFFFF,0xFFFFFFFE,0x0FFFFFFF,0xFE7FFFFE,0xFFFFFFFF,0xFFFFFFFE,0x07FFFFFF,0xFF3FFFFE,0xFFFFFFFF,0xFFFFFFFE,0x07FFFFFF,0xFF1FFFFE,0xFFFFFFFF,0xFFFFFFFF,0x0FFFFFFF,0xFF9FFFFE,0xFFFFFFFF,0xFFFFFFFF,0x0FFFF8FF,0xFFEBFFFE,0xFFFFFFFF,0xFFFFFFFF,0x0FF7F83F,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0x0FFFFC0F,0xFFFBFFFE,0xFFFFFFFF,0xFFFFFFFF,0x07FBFC07,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0x83F9FC01,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0x81F1F800,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xE1F8F800,0xFFFFDFFE,0xFFFFFFFF,0xFFFFFFFF,0xF070F800,0x7FFFF7FE,0xFFFFFFFF,0xFFFFFFFF,0xF830F800,0x3FFFDBFE,0xFFFFFFFF,0xFFFFFFFF,0xFE30F800,0x1FFFE3FE,0xFFFFFFFF,0xFFFFFFFF,0xFFF9F800,0x0FFFD5FE,0xFFFFFFFF,0xF3FFFFFF,0xFFFFF800,0x07FFE3FE,0xFFFFFFFF,0xEFFFFFFF,0xFFFFF000,0x07FFF57E,0xFFFFFFFF,0xF7FFFFFF,0xFFFFF000,0x07FFFAFE,0xFFFFFFFF,0xFBFFFFFF,0xFFFFE000,0x07FFF97E,0xFFFFFFFF,0xF3FFFFFF,0xFFFFE000,0x03FFF8BE,0xFFFFFFFF,0xE9FFFFFF,0xFFFFE000,0x07FFFC7E,0xFFFFFFFF,0xD1FFFFFF,0xFFFFC000,0x17BFFD3E,0xFFFFFFFF,0xE0FFFFFF,0xFFFF8000,0x0FFFFE5E,0xFFFFFFFF,0xC07FFFFF,0xFFFF8000,0x1FFFFE9E,0xFFFFFFFF,0xC03FFFFF,0xFFFF0000,0x1FFFFF4E,0xFFFFFFFF,0xF03FFFFF,0xFFFE0000,0x3FFFFFAE,0xFFFFFFFF,0xD01FFFFF,0xFFFC0000,0x3FFFFFC6,0xFFFFFFFF,0xF91FFFFF,0xFFF80000,0x3FFFFF8E,0xFFFFFFFF,0xFF87FFFF,0xFFF00000,0xFFFFFFC6,0xFFFFFFFF,0xFFD3FFFF,0xFFE00001,0xFFFFFFEA,0xFFFFFFFF,0xFFA3FFFF,0xFFE00007,0xFFFFFFD6,0xFFFFFFFF,0xFF55FFFF,0xFF80005B,0xFFFFFFFE,0xFFFFFFFF,0xFFAA7FFF,0xFF0007A9,0x7FFFFFEE,0xFFFFFFFF,0xFFF41FFF,0xFE078114,0xBFC3FFFE,0xFFFFFFFF,0xFFFF4FFF,0xFDFF4610,0x54807FFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFF0020,0xA802FFDE,0xFFFFFFFF,0xFFFFFFFF,0xBFFC0504,0x14017FFE,0xFFFFFFFF,0xFFFFFFFF,0x6FF80000,0xA200BFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFF01695,0x14017FFE,0xFFFFFFFF,0xFFFFFFFF,0xFFE80920,0x6904AFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFF2A495,0x24027FDE,0xFFFFFFFF,0xFFFFFFFF,0xFFE80A02,0x5A04AFFE,0xFFFFFFFF,0xFFFFFFFF,0xBFD07854,0x80095FFE,0x00000000,0x00000000,0x00000000,0x00000000};
		img.load((char*)buffer1, (char*)buffer2);
	}
	return img;
}

int main()
{
	char souris1[] = {192,0,160,0,144,0,136,0,132,0,130,0,129,0,135,128,148,0,170,0,202,0,133,0,5,0,2,0,0,0,0,0};
	char souris2[] = {0,0,64,0,96,0,112,0,120,0,124,0,126,0,120,0,104,0,68,0,4,0,2,0,2,0,0,0,0,0,0,0};
	srand(RTCReadSecond()+RTCReadMinute()+RTCReadHour());
	buffer1 = new char[1024];
	buffer2 = new char[1024];
	bufferVRAM1 = new char[1024];
	bufferVRAM2 = new char[1024];
	GrayLinkBuffers((unsigned long*)buffer1, (unsigned long*)buffer2);
	GrayInit(3273, 1452);
	Image img;
	bool vu[10] = {false};
	int i=0, nbVu = 0;
	while(img.terminated() && nbVu<10)
	{
		do
		{
			i=rand()%10;
		}while(vu[i]);
		nbVu++;
		vu[i] = true;
		img = LoadImage(i);

		GrayLinkBuffers((unsigned long*)img.getBuffer1(), (unsigned long*)img.getBuffer2());
		for(int i=0 ; i<10000000 ; i++);
		img.swap();
		int x=63, y=31, x1=-1, y1, x2=-1, y2;
		while(IsKeyUp(KEY_CTRL_EXIT) && !img.terminated())
		{
			for(int i=0 ; i<1024 ; i++)
			{
				bufferVRAM1[i] = img.getBuffer1()[i];
				bufferVRAM2[i] = img.getBuffer2()[i];
			}
			if(IsKeyDown(KEY_CTRL_LEFT) && x) x--;
			if(IsKeyDown(KEY_CTRL_RIGHT) && x<126) x++;
			if(IsKeyDown(KEY_CTRL_UP) && y) y--;
			if(IsKeyDown(KEY_CTRL_DOWN) && y<62) y++;
			if(IsKeyDown(KEY_CTRL_SHIFT))
			{
				if(x1==-1) { x1=x/SIZE; y1=y/SIZE; }
				else if(x2==-1) { x2=x/SIZE; y2=y/SIZE; }
				else { x1=x2; y1=y2; x2=x/SIZE; y2=y/SIZE; }
				while(IsKeyDown(KEY_CTRL_SHIFT));
			}
			if(IsKeyDown(KEY_CTRL_EXE) && x1!=-1 && x2!=-1)
			{
				img.swap(x1, y1, x2, y2);
				x1 = x2 = -1;
			}
			if(x1!=-1) ReverseArea(x1, y1);
			if(x2!=-1) ReverseArea(x2, y2);
			SL_DrawSprite16((unsigned short*)souris1, (unsigned short*)souris1, (unsigned short*)souris2, bufferVRAM1, bufferVRAM2, x, y);
			SwapBuffers();
			for(int i=0 ; i<10000 ; i++);
		}
		GrayLinkBuffers((unsigned long*)img.getBuffer1(), (unsigned long*)img.getBuffer2());
		while(IsKeyDown(KEY_CTRL_EXE));
		while(img.terminated() && IsKeyUp(KEY_CTRL_EXE));
	 }
	GrayEnd();
	delete[] buffer1;
	delete[] buffer2;
	delete[] bufferVRAM1;
	delete[] bufferVRAM2;
	Reset_Calc();
	return 1;
}

extern "C" {

int AddIn_main(int isAppli, unsigned short OptionNum)
{
    return main();
}

#pragma section _BR_Size
unsigned long BR_Size;
#pragma section
#pragma section _TOP
int InitializeSystem(int isAppli, unsigned short OptionNum)
{
    return INIT_ADDIN_APPLICATION(isAppli, OptionNum);
}
#pragma section

} //extern
